%define name HDF
%define version 4.1r4
%define release 1mdk

Summary:	Hierarchical Data Format Library
Name:		HDF
Version:	4.1r4
Release:	2mdk
License:	BSD-like (see COPYING)
Group:		Development/C

Source:		ftp://hdf.ncsa.uiuc.edu/HDF/HDF/HDF_Current/%{name}%{version}.tar.bz2
Patch0:		%{name}%{version}-proto.patch.bz2

URL:		http://hdf.ncsa.uiuc.edu
BuildRoot:	%_tmppath/%name-%version-%release-root
ExcludeArch:	ppc

%description
HDF is a multi-object file format that facilitates the transfer of various
types of scientific data between machines and operating systems. 
HDF allows self-definitions of data content and easy extensibility for
future enhancements or compatibility with other standard formats.
HDF includes Fortran and C calling interfaces, and utilities to
prepare raw image of data files or for use with other NCSA software.

The HDF library contains interfaces for storing and retrieving compressed or
uncompressed 8-bit and 24=bit raster images with palettes,
n-Dimensional scientific datasets and binary tables. AN interface is also
included that allows arbitrary grouping of other HDF objects.

%package util
Summary:	HDF utilities and test data files
Group:		Graphics

%description util
This package contains utilities for HDF data manipulation and
test data files.

%prep

%setup -q -n %{name}%{version}
%patch -p1 -b .proto

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{_prefix}
make CFLAGS="$RPM_OPT_FLAGS -ansi -D_BSD_SOURCE" FFLAGS="$RPM_OPT_FLAGS"
make test
mkdir -p samples
cp -a hdf/util/testfiles/* samples

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# remove files already provided by other packages (libjpeg, netcdf, zlib)
rm -f $RPM_BUILD_ROOT%{_includedir}/{jconfig.h,jerror.h,jmorecfg.h,jpeglib.h} \
    $RPM_BUILD_ROOT%{_includedir}/{zconf.h,zlib.h} \
    $RPM_BUILD_ROOT%{_bindir}/{ncdump,ncgen} \
    $RPM_BUILD_ROOT%{_includedir}/netcdf.{h,inc,f90}
mv -f $RPM_BUILD_ROOT%{_bindir}/vmake $RPM_BUILD_ROOT%{_bindir}/vmake-hdf
mkdir -p $RPM_BUILD_ROOT%{_datadir}/hdf
cp -aR samples $RPM_BUILD_ROOT%{_datadir}/hdf/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/libdf.a
%{_libdir}/libmfhdf.a
%{_includedir}/*
%{_mandir}/*/*

%files util
%defattr(-,root,root)
%doc COPYING README
%dir %{_datadir}/hdf
%dir %{_datadir}/hdf/samples
%{_bindir}/*
%attr(644,root,root) %{_datadir}/hdf/samples/*

%changelog
* Wed Jan 03 2001 David BAUDENS <baudens@mandrakesoft.com> 4.1r4-2mdk
- ExcludeArch: ppc

* Tue Dec 26 2000 Giuseppe Ghibb <ghibo@mandrakesoft.com> 4.1r4-1mdk
- initial release for OpenDX building.
